Subject: metafile output

From: [email-masked] (Fred Clare)
Date: Wed, 10 Aug 1994 10:48:42 -0600

Ben, in thinking about your problem some more last night, I think
it might be easy for me to implement a GKS ESCAPE function that 
would allow you to open a metafile in append mode.  Before pursuing
this any further, I thought I would ask you if this would help you.
It would work something like this:

      CALL GESC(...      ! specify a file name for a metafile to be used
                         ! in the next GOPWK call and to be opened in 
                         ! append mode.
      CALL GOPWK(M,N,1)  ! opens the above-mentioned file in append mode (or
                         ! creates the file if it does not exist).
      CALL GACWK(M)      ! activates file.
        .
        .
        .

       stuff
        .
        .
        .
      CALL GDAWK(M)      ! Deactivate metafile
      CALL GCLKS(M)      ! close metafile.

If you wanted to have two metafiles you were writing to, you could:

  open mf1
  write to mf1
  close mf1
  open mf2
  write to mf2
  close mf2
  open mf1 in append mode
  write to mf1
  close mf1
  etc.

This could be a bit of a pain.  What do you think?

Fred